/* Conteneur général : centrer le login-box */
.container {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh; /* plein écran */
	position: relative;
}

/* Fond avec pre */
#background {
	position: absolute;
	top: 30%;
	left: 15%;
	
	font-size: 200%;
	font-family: monospace;
	color: rgba(0, 255, 0, 0.6);
	z-index: 0;
	overflow: hidden;
	user-select: none;
}

* {
	box-sizing: border-box;
	font-family: "Courier New", monospace;
}

.login-box {
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);

    width: 320px;
    padding: 30px;
    border: 1px solid #00FF00;
    box-shadow: 0 0 20px #00FF00;
    background: rgba(0, 0, 0, 0.85);
}

.login-box h2 {
	text-align: center;
	margin-bottom: 25px;
	text-shadow: 0 0 10px #00FF00;
	color: #00FF00;
}

.login-box label {
	display: block;
	margin-bottom: 5px;
	font-size: 14px;
	color: #00FF00;
}

.login-box input {
	width: 100%;
	padding: 10px;
	margin-bottom: 20px;
	background: #000;
	border: 1px solid #00FF00;
	color: #00FF00;
	outline: none;
}

.login-box input::placeholder {
	color: #009966;
}

.login-box input:focus {
	box-shadow: 0 0 10px #00FF00;
}

.login-box button {
	width: 100%;
	padding: 10px;
	background: transparent;
	border: 1px solid #00FF00;
	color: #00FF00;
	font-size: 16px;
	cursor: pointer;
	transition: 0.3s;
}

.login-box button:hover {
	background: #00FF00;
	color: #000;
	box-shadow: 0 0 15px #00FF00;
}

.footer-text {
	margin-top: 15px;
	text-align: center;
	font-size: 12px;
	color: #009966;
}

.error {
    display: none;
    margin-bottom: 15px;
    padding: 10px;
    border: 1px solid #ff0033;
    color: #ff0033;
    background: rgba(255, 0, 51, 0.1);
    text-align: center;
    font-size: 14px;
    box-shadow: 0 0 10px rgba(255, 0, 51, 0.6);
}

@keyframes shake {
    0% { transform: translate(-50%, -50%) translateX(0); }
    25% { transform: translate(-50%, -50%) translateX(-5px); }
    50% { transform: translate(-50%, -50%) translateX(5px); }
    75% { transform: translate(-50%, -50%) translateX(-5px); }
    100% { transform: translate(-50%, -50%) translateX(0); }
}

.login-box.shake {
    animation: shake 0.3s;
}